CVE-2022-3551

NameCVE-2022-3551
DescriptionA vulnerability, which was classified as problematic, has been found in X.org Server. Affected by this issue is the function ProcXkbGetKbdByName of the file xkb/xkb.c. The manipulation leads to memory leak. It is recommended to apply a patch to fix this issue. The identifier of this vulnerability is VDB-211052.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3185-1, DSA-5278-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xorg-server (PTS)buster2:1.20.4-1+deb10u4vulnerable
buster (security)2:1.20.4-1+deb10u6fixed
bullseye2:1.20.11-1+deb11u2vulnerable
bullseye (security)2:1.20.11-1+deb11u3fixed
bookworm, sid2:21.1.4-3fixed
xwayland (PTS)bookworm, sid2:22.1.5-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xorg-serversourcebuster2:1.20.4-1+deb10u6DLA-3185-1
xorg-serversourcebullseye2:1.20.11-1+deb11u3DSA-5278-1
xorg-serversource(unstable)2:21.1.4-3
xwaylandsource(unstable)(unfixed)

Notes

https://gitlab.freedesktop.org/xorg/xserver/commit/18f91b950e22c2a342a4fbc55e9ddf7534a707d2

Search for package or bug name: Reporting problems